Subject: SCRAM todo: deriving client and server key

From: Alexey Melnikov <[email-masked]>
Date: Fri, 27 Mar 2009 20:58:14 -0700

Chris Newman wrote:

> --On February 23, 2009 8:59:44 -0800 Love Hörnquist Åstrand 
> <[email-masked]> wrote:
>
>> Right now the client and server key differences is:
>>
>> ClientKey = H(SaltedPassword)
>> ServerKey = HMAC(SaltedPassword, salt)
>>
>> Why are the derived by two different methods ? (why not XKey =
>> HMAC(SaltedKey, "X key")
>
> I just realized I hadn't mentioned publicly that I think this would be 
> a good change.
>
> Specifically:
>
> ClientKey = HMAC(SaltedPassword, "Client Key")
> ServerKey = HMAC(SaltedPassword, "Server Key")
>
> I think this actually makes the algorithm description a bit easier to 
> understand.  What do others think?

Ok, I've updated my copy of the draft to do that.